Permalink
Browse files

roll with latest AR 2.3 / 3.x versions

  • Loading branch information...
1 parent ed30e77 commit 04778a850ca6b250f5451032863909a81641b9c9 @kares kares committed Apr 3, 2013
View
@@ -1,24 +1,23 @@
appraise "rails23" do
- gem "activerecord", "~> 2.3.16"
- gem "rails", "~> 2.3.16"
+ gem "activerecord", "~> 2.3.18"
+ gem "rails", "~> 2.3.18"
end
appraise "rails30" do
gem "activerecord", "~> 3.0.20"
end
appraise "rails31" do
- gem "activerecord", "~> 3.1.10"
+ gem "activerecord", "~> 3.1.12"
end
appraise "rails32" do
- gem "activerecord", "~> 3.2.11"
+ gem "activerecord", "~> 3.2.13"
end
-# NOTE: make sure you're using --1.9 with 4.0 (alternatively use jruby-head) !
-appraise "rails40" do
+appraise "rails40" do # NOTE: make sure you're using --1.9 with AR-4.0
#gem "activerecord", "~> 4.0.0"
- # until there's a 4.0 release :
+ # until there's an actual 4.0 release :
gem 'rails', :github => 'rails/rails'
gem 'journey', :github => 'rails/journey'
gem 'activerecord-deprecated_finders', :github => 'rails/activerecord-deprecated_finders', :require => nil
View
@@ -10,6 +10,6 @@ gem "test-unit-context", :group=>:test
gem "mocha", "~> 0.12.10", :require=>nil, :group=>:test
gem "simplecov", :require=>nil, :group=>:test
gem "bcrypt-ruby", "~> 3.0.0", :require=>nil, :group=>:test
-gem "activerecord", "~> 2.3.16"
-gem "rails", "~> 2.3.16"
+gem "activerecord", "~> 2.3.18"
+gem "rails", "~> 2.3.18"
@@ -1,19 +1,20 @@
GEM
remote: http://rubygems.org/
specs:
- actionmailer (2.3.16)
- actionpack (= 2.3.16)
- actionpack (2.3.16)
- activesupport (= 2.3.16)
+ actionmailer (2.3.18)
+ actionpack (= 2.3.18)
+ actionpack (2.3.18)
+ activesupport (= 2.3.18)
rack (~> 1.1.0)
- activerecord (2.3.16)
- activesupport (= 2.3.16)
- activeresource (2.3.16)
- activesupport (= 2.3.16)
- activesupport (2.3.16)
+ activerecord (2.3.18)
+ activesupport (= 2.3.18)
+ activeresource (2.3.18)
+ activesupport (= 2.3.18)
+ activesupport (2.3.18)
appraisal (0.5.1)
bundler
rake
+ bcrypt-ruby (3.0.1)
bcrypt-ruby (3.0.1-java)
bouncy-castle-java (1.5.0147)
jruby-openssl (0.8.4)
@@ -22,13 +23,13 @@ GEM
mocha (0.12.10)
metaclass (~> 0.0.1)
multi_json (1.5.0)
- rack (1.1.5)
- rails (2.3.16)
- actionmailer (= 2.3.16)
- actionpack (= 2.3.16)
- activerecord (= 2.3.16)
- activeresource (= 2.3.16)
- activesupport (= 2.3.16)
+ rack (1.1.6)
+ rails (2.3.18)
+ actionmailer (= 2.3.18)
+ actionpack (= 2.3.18)
+ activerecord (= 2.3.18)
+ activeresource (= 2.3.18)
+ activesupport (= 2.3.18)
rake (>= 0.8.3)
rake (10.0.3)
simplecov (0.7.1)
@@ -43,12 +44,12 @@ PLATFORMS
java
DEPENDENCIES
- activerecord (~> 2.3.16)
+ activerecord (~> 2.3.18)
appraisal
bcrypt-ruby (~> 3.0.0)
jruby-openssl
mocha (~> 0.12.10)
- rails (~> 2.3.16)
+ rails (~> 2.3.18)
rake
simplecov
test-unit (= 2.5.4)
View
@@ -10,5 +10,5 @@ gem "test-unit-context", :group=>:test
gem "mocha", "~> 0.12.10", :require=>nil, :group=>:test
gem "simplecov", :require=>nil, :group=>:test
gem "bcrypt-ruby", "~> 3.0.0", :require=>nil, :group=>:test
-gem "activerecord", "~> 3.1.10"
+gem "activerecord", "~> 3.1.12"
@@ -1,25 +1,26 @@
GEM
remote: http://rubygems.org/
specs:
- activemodel (3.1.10)
- activesupport (= 3.1.10)
+ activemodel (3.1.12)
+ activesupport (= 3.1.12)
builder (~> 3.0.0)
i18n (~> 0.6)
- activerecord (3.1.10)
- activemodel (= 3.1.10)
- activesupport (= 3.1.10)
+ activerecord (3.1.12)
+ activemodel (= 3.1.12)
+ activesupport (= 3.1.12)
arel (~> 2.2.3)
tzinfo (~> 0.3.29)
- activesupport (3.1.10)
- multi_json (>= 1.0, < 1.3)
+ activesupport (3.1.12)
+ multi_json (~> 1.0)
appraisal (0.5.1)
bundler
rake
arel (2.2.3)
+ bcrypt-ruby (3.0.1)
bcrypt-ruby (3.0.1-java)
bouncy-castle-java (1.5.0147)
builder (3.0.4)
- i18n (0.6.1)
+ i18n (0.6.4)
jruby-openssl (0.8.4)
bouncy-castle-java (>= 1.5.0147)
metaclass (0.0.1)
@@ -34,13 +35,13 @@ GEM
test-unit (2.5.4)
test-unit-context (0.3.0)
test-unit (>= 2.4.0)
- tzinfo (0.3.35)
+ tzinfo (0.3.37)
PLATFORMS
java
DEPENDENCIES
- activerecord (~> 3.1.10)
+ activerecord (~> 3.1.12)
appraisal
bcrypt-ruby (~> 3.0.0)
jruby-openssl
View
@@ -10,5 +10,5 @@ gem "test-unit-context", :group=>:test
gem "mocha", "~> 0.12.10", :require=>nil, :group=>:test
gem "simplecov", :require=>nil, :group=>:test
gem "bcrypt-ruby", "~> 3.0.0", :require=>nil, :group=>:test
-gem "activerecord", "~> 3.2.11"
+gem "activerecord", "~> 3.2.13"
@@ -1,21 +1,22 @@
GEM
remote: http://rubygems.org/
specs:
- activemodel (3.2.11)
- activesupport (= 3.2.11)
+ activemodel (3.2.13)
+ activesupport (= 3.2.13)
builder (~> 3.0.0)
- activerecord (3.2.11)
- activemodel (= 3.2.11)
- activesupport (= 3.2.11)
+ activerecord (3.2.13)
+ activemodel (= 3.2.13)
+ activesupport (= 3.2.13)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
- activesupport (3.2.11)
- i18n (~> 0.6)
+ activesupport (3.2.13)
+ i18n (= 0.6.1)
multi_json (~> 1.0)
appraisal (0.5.1)
bundler
rake
arel (3.0.2)
+ bcrypt-ruby (3.0.1)
bcrypt-ruby (3.0.1-java)
bouncy-castle-java (1.5.0147)
builder (3.0.4)
@@ -34,13 +35,13 @@ GEM
test-unit (2.5.4)
test-unit-context (0.3.0)
test-unit (>= 2.4.0)
- tzinfo (0.3.35)
+ tzinfo (0.3.37)
PLATFORMS
java
DEPENDENCIES
- activerecord (~> 3.2.11)
+ activerecord (~> 3.2.13)
appraisal
bcrypt-ruby (~> 3.0.0)
jruby-openssl

0 comments on commit 04778a8

Please sign in to comment.